> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYC Status

## Interface Description

Get the KYC verification status of the merchantUser. Cards can only be created after KYC verification is passed.


## OpenAPI

````yaml en POST /kyc/getKYCStatus
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /kyc/getKYCStatus:
    post:
      tags: []
      summary: 获取kyc状态
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCStatusRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultKYCStatusResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  status: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    KYCStatusRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户对应用户id
      required:
        - merchantId
        - merchantUserId
    CommonResultKYCStatusResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/KYCStatusResponse'
          description: 结果数据
    KYCStatusResponse:
      type: object
      properties:
        status:
          type: string
          description: KYC状态
          enum:
            - noKYC
            - submitted
            - auditing
            - pass
            - fail
            - unknown
      required:
        - status

````